qtwebengine-opensource-src (5.15.19+dfsg2-1) unstable; urgency=medium

  * Exclude minizip/src/doc from the tarball (closes: #1115475).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Sep 2025 16:16:17 +0300

qtwebengine-opensource-src (5.15.19+dfsg-3) unstable; urgency=medium

  * Add a patch from Fedora to fix build with GCC 15 (closes: #1097756).
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Sep 2025 10:33:39 +0300

qtwebengine-opensource-src (5.15.19+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:05:46 +0300

qtwebengine-opensource-src (5.15.19+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Drop python3.12-*.patch, no longer needed.
  * Refresh and rebase other patches.
  * Bump ABI version to qtwebengine-abi-5-15-19.
  * Build against Qt 5.15.17.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Remove Qt_5.x symbols from the symbols files.
  * Make debian/scripts/update-copyright work with the new version.
  * Update debian/copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Jul 2025 11:25:22 +0300

qtwebengine-opensource-src (5.15.18+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Feb 2025 16:19:52 +0300

qtwebengine-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Refresh disable-catapult.patch.
  * Update debian/*.symbols from buildds’ and the current build logs.
  * Bump ABI version to qtwebengine-abi-5-15-18.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Feb 2025 11:19:00 +0300

qtwebengine-opensource-src (5.15.17+dfsg2-3) unstable; urgency=medium

  * Add hunspell-bdic.patch and remove 90qtwebengine-dictionaries-path.conf (see
    #1092726).
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 Jan 2025 16:39:55 -0700

qtwebengine-opensource-src (5.15.17+dfsg2-2) unstable; urgency=medium

  * Backport upstream patch to replace pipes module (removed in Python 3.13)
    with shlex (closes: #1084535).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Jan 2025 10:38:16 +0300

qtwebengine-opensource-src (5.15.17+dfsg2-1) unstable; urgency=medium

  * debian/copyright:  Exclude
     src/3rdparty/chromium/third_party/blink/manual_tests/WebKitSite.webarchive
     (Closes: #1091433).

 -- Soren Stoutner <soren@debian.org>  Thu, 26 Dec 2024 12:34:36 -0700

qtwebengine-opensource-src (5.15.17+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:50:17 +0300

qtwebengine-opensource-src (5.15.17+dfsg-4) experimental; urgency=medium

  [ Soren Stoutner ]
  * Add lintian overrides for:
    - false positive usage of deprecated distutils.
    - various missing-sources.
    - false positive detection of documentation outside of /usr/share/doc.
  * Add Polymer and HTML-Imports to debian/missing-sources.
  * Update debian/copyright to include information about missing-sources.
  * Fix forwarded field in some patches.

  [ Dmitry Shachnev ]
  * Build against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Sep 2024 20:14:20 +0300

qtwebengine-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jul 2024 14:43:34 +0300

qtwebengine-opensource-src (5.15.17+dfsg-2) experimental; urgency=medium

  * Backport v8 patch to port the latest RegExpMacroAssembler changes to
    mips64el.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Jul 2024 11:44:46 +0300

qtwebengine-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Fixes build with libxml2 2.12 (closes: #1074671).
  * Update SUBMODULE_COMMIT for the new release.
  * Drop patches, included in the new release:
    - python3.patch
    - chromium-python3.patch
    - python3.11.patch
    - ffmpeg-x86-optimization.patch
    - icu74.patch
  * Also drop part of python3.12-imp.patch which was applied upstream.
  * Refresh debian/patches/system-openjpeg2.patch.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump ABI version to qtwebengine-abi-5-15-17.
  * Pass QMAKE_PYTHON2=python3 to qmake, to get the docs built.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jul 2024 22:53:32 +0300

qtwebengine-opensource-src (5.15.16+dfsg-5) unstable; urgency=medium

  * Add a patch from Arch Linux to build using C++17, which is required by ICU
    75.
  * Cherry-pick upstream patches to build with Ninja 1.12.
  * Mark applicable patches as "Forwarded: not-needed" to fix lintian errors.
  * Update symbols files from local build log.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 May 2024 12:37:00 -0700

qtwebengine-opensource-src (5.15.16+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

  [ Soren Stoutner ]
  * Merge 5.15.15+dfsg2-1 upload from unstable.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 23:07:25 +0300

qtwebengine-opensource-src (5.15.16+dfsg-3) experimental; urgency=medium

  * Merge 5.15.15+dfsg-3 upload from unstable.
  * Add upstream patches to stop using imp Python module (LP: #2058066).
    Thanks Zixing Liu!
  * Update bundled six module for Python 3.12 compatibility (LP: #2058117).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Mar 2024 16:12:37 +0300

qtwebengine-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Replace pkg-config build-dependency with pkgconf.
  * Build against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 18:00:47 +0300

qtwebengine-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  [ Soren Stoutner ]
  * New upstream release.
  * Bump ABI version to qtwebengine-abi-5-15-16.
  * Refresh python3.patch and system-openjpeg2.patch.
  * Update symbols files.

  [ Dmitry Shachnev ]
  * Build against Qt 5.15.12.
  * Add a patch from Gentoo to fix build with ICU 74.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Dec 2023 00:14:27 +0300

qtwebengine-opensource-src (5.15.15+dfsg2-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Drop the build depend on libre2-dev, which forces building with the bundled
    RE2 (closes: #1053409).
  * Bump standards version to 4.7.0 (no changes needed).
  * Fix debian/rules to handle dfsg repack counts.
  * Change my email address from soren@stoutner.com to soren@debian.org in the
    following locations:
    - debian/changelog
    - debian/control
    - debian/copyright
    - debian/patches/fix-example-pro-files.patch
    - debian/patches/system-openjpeg2.patch
  * Add 2024 to debian/copyright entries.
  * Update debian/libqt5webenginecore5.symbols from local build log.

  [ Dmitry Shachnev ]
  * Add a patch from Gentoo to fix build with ICU 74.
  * Replace pkg-config build-dependency with pkgconf.
  * Add upstream patches to stop using imp Python module (LP: #2058066).
    Thanks Zixing Liu!
  * Update bundled six module for Python 3.12 compatibility (LP: #2058117).

 -- Soren Stoutner <soren@debian.org>  Thu, 09 May 2024 10:01:42 -0700

qtwebengine-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  [ Soren Stoutner ]
  * Remove unused build-depends on rollup (Closes: #1023334).
  * Add Lintian overrides for source-is-missing false positives.
  * Add Lintian override for missing-notice-file-for-apache-license false
    positive.
  * Correct BSD license text in debian/copyright.
  * Build with the system version of dagre-layout.

  [ Dmitry Shachnev ]
  * Update debian/libqt5webenginecore5.symbols for armhf (closes: #1067906).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Mar 2024 15:08:36 +0300

qtwebengine-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2023 09:36:14 +0300

qtwebengine-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  [ Soren Stoutner ]
  * Add needed dependencies to qtwebengine5-examples (closes: #934130).
  * Add patch to fix .pro files in qtwebengine5-examples.
  * Add qtwebengine5-examples.README.Debian to explain how to build the examples
    from scratch.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Drop gcc-13.patch, included in the new release.
  * Replace ffmpeg-remove-x86-optimization.patch with a patch that was
    applied in upstream ffmpeg.
  * Drop support for mipsel, which was removed from unstable.
    - Drop five patches which are no longer needed.
    - Rename patches which are still needed for mips64el to mips64el-*.patch.
  * Bump ABI version to qtwebengine-abi-5-15-15.
  * Update symbols files from the current build logs.
  * Delete all build artifacts in the clean target (closes: #1048922).
  * Don’t change .qmake.conf, instead pass options to qmake via command line.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Sep 2023 11:22:10 +0300

qtwebengine-opensource-src (5.15.14+dfsg-6) unstable; urgency=medium

  * Don’t enable use_icf with gold on mipsel. Thanks to Adrian Bunk!

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Jul 2023 19:59:54 +0300

qtwebengine-opensource-src (5.15.14+dfsg-5) unstable; urgency=medium

  * Update optimize-size.patch to add -Os in two more places. Thanks to
    Adrian Bunk again!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jul 2023 22:41:05 +0300

qtwebengine-opensource-src (5.15.14+dfsg-4) unstable; urgency=medium

  * Merge 5.15.13+dfsg-6 upload from unstable.
  * Revert "mipsel: Add -Os to CFLAGS and CXXFLAGS explicitly".
  * Instead, add a patch which sets -Os on mipsel even for modules that
    have "optimize_max" config. Thanks Adrian Bunk!
  * Remove more unused code from debian/rules.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 18:27:27 +0300

qtwebengine-opensource-src (5.15.14+dfsg-3) experimental; urgency=medium

  * Merge 5.15.13+dfsg-3 upload from unstable.
  * Add a patch to fix build with GCC 13 (closes: #1037832).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Jun 2023 23:44:11 +0300

qtwebengine-opensource-src (5.15.14+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 21:21:24 +0300

qtwebengine-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-14.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 May 2023 18:36:45 +0300

qtwebengine-opensource-src (5.15.13+dfsg-6) unstable; urgency=medium

  * mipsel: Add -Os to CFLAGS and CXXFLAGS explicitly, so it applies to skia,
    third_party/ffmpeg and third_party/libyuv.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2023 11:34:36 +0300

qtwebengine-opensource-src (5.15.13+dfsg-5) unstable; urgency=medium

  * Remove unused code in debian/rules.
  * Build with gold and -Os on mipsel, thanks Adrian Bunk!

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Jul 2023 13:33:36 +0300

qtwebengine-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Pass --reduce-memory-overheads to ld on mipsel as an attempt to fix OOM.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Jun 2023 12:06:04 +0300

qtwebengine-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Revert "Build against Qt 5.15.9", for unstable upload.
  * Remove ffmpeg code for shift optimization on x86 (closes: #1038132).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Jun 2023 09:36:10 +0300

qtwebengine-opensource-src (5.15.13+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.9.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Fix obsolete build-dependency: libfontconfig1-dev => libfontconfig-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 23:11:58 +0300

qtwebengine-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Remove copyright section for debian/missing-sources/jszip-2.4.0.
  * Build with pipewire support (closes: #1005824).
    - Backport upstream patch to improve screen sharing with PipeWire
      on Wayland and to add support for PipeWire 0.3.
    - Thanks Pirate Praveen and Cédric Hannotier!
    - Add four new symbols to debian/libqt5webenginecore5.symbols.
  * Bump ABI version to qtwebengine-abi-5-15-13.
  * Drop gcc-12.patch, included in the new release.
  * Refresh debian/patches/python3.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 19 Mar 2023 21:40:17 +0300

qtwebengine-opensource-src (5.15.12+dfsg-3) unstable; urgency=medium

  * Add debian/90qtwebengine-dictionaries-path.conf.
  * debian/copyright:
    - Add myself to copyright file.
    - Update copyright dates for other contributors.
  * debian/control:  Add build-depends on libopenjp2-7-dev to remove
    embedded openjpeg library.
  * debian/libqt5webengine-data.install:  Install
    90qtwebengine-dictionaries-path.conf to /etc/environment.d/.
  * debian/libqt5webengine-data.links:  Remove the hunspell-bdic symlink.
  * debian/patches:  Add system-libopenjpeg2.patch.
  * Update Lintian override format to use pointed hints.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Add myself to uploaders.

 -- Soren Stoutner <soren@debian.org>  Wed, 01 Feb 2023 06:57:05 -0700

qtwebengine-opensource-src (5.15.12+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:22 +0400

qtwebengine-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-12.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Add /usr/share/qt5/qtwebengine_dictionaries → /usr/share/hunspell-bdic
    symlink (see #1020387).
  * Build against Qt 5.15.8.
  * Add a patch to fix build with Python 3.11.

  [ Soren Stoutner ]
  * Update watch file.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Jan 2023 12:09:05 +0400

qtwebengine-opensource-src (5.15.11+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:43 +0300

qtwebengine-opensource-src (5.15.11+dfsg-4) experimental; urgency=medium

  * Build against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:54:51 +0300

qtwebengine-opensource-src (5.15.11+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 11:56:05 +0300

qtwebengine-opensource-src (5.15.11+dfsg-2) experimental; urgency=medium

  * Replace python2 with python3 in one more place, to fix docs build.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 20:25:20 +0300

qtwebengine-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-11.
  * Remove __NR_statx part from sandbox-time64-syscalls.patch.
    A similar change was applied upstream in commit a7a23ccc69e6756e.
  * Disable Catapult to simplify porting to Python 3.
    - Add disable-catapult.patch (copied from Chromium packaging).
    - Exclude catapult directory from the tarball.
    - Drop remove-benchmark-from-inputs.patch and python2.patch.
    - Drop debian/missing-sources/jszip-2.4.0.
    - Stop copying pako.min.js and d3.min.js in debian/rules.
    - Drop libjs-d3 and node-pako build-dependencies.
  * Use Python 3 instead of Python 2 for building (closes: #938322).
    - Update build-dependency.
    - Add python3.patch, inspired by Arch Linux but using versioned python3.
    - Add chromium-python3.patch, copied from Arch Linux.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 12:06:13 +0300

qtwebengine-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:39:27 +0300

qtwebengine-opensource-src (5.15.10+dfsg-6) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Sep 2022 10:51:34 +0300

qtwebengine-opensource-src (5.15.10+dfsg-5) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build against Qt 5.15.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jul 2022 23:21:40 +0300

qtwebengine-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Add a patch to fix build with GCC 12 (closes: #1013025).
  * Update symbols files from amd64 build log with GCC 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 11:45:31 +0300

qtwebengine-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  * Disable CONFIG_THUMB to fix build on armhf.
  * Pass -z notext to linker to fix build on i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jun 2022 12:48:02 +0300

qtwebengine-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Build with bundled ffmpeg for now (closes: #1004594).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Jun 2022 23:59:39 +0300

qtwebengine-opensource-src (5.15.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-10.
  * Use symver directive to catch all private symbols at once.
  * Refresh debian/patches/verbose-gn-bootstrap.patch.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:05 +0300

qtwebengine-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump nodejs build-dependency to 16.14. With the previous version (14.19),
    the build hangs on mips64el and mipsel.
  * Build against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 19:51:49 +0300

qtwebengine-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-9.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Remove copyright for win_build_output, it is in Files-Excluded.
  * Add one new symbol to debian/libqt5webenginecore5.symbols.
  * Update debian/source/lintian-overrides for Lintian 2.109.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Apr 2022 19:19:50 +0300

qtwebengine-opensource-src (5.15.8+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.3.
  * Bump ABI version to qtwebengine-abi-5-15-8.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 08 Mar 2022 22:44:37 +0300

qtwebengine-opensource-src (5.15.8+dfsg-1) unstable; urgency=medium

  [ Alexander Volkov ]
  * Enable Kerberos support.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Depend on sse2-support for i386 (closes: #1003249).
  * Add more files to Files-Excluded (closes: #1000620).
  * Drop glibc-2.34-SIGSTKSZ.patch, applied upstream.
  * Refresh system-icu-utf.patch.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Jan 2022 17:54:14 +0300

qtwebengine-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Add a patch to make sure kernel_stat64 is defined on mips64el.
  * Update debian/watch to track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Nov 2021 00:20:58 +0300

qtwebengine-opensource-src (5.15.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Drop patches, included in the new release:
    - sandbox-fstatat-syscalls.patch
    - glibc-2.34-clone3.patch
    - half of sandbox-time64-syscalls.patch
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Nov 2021 13:38:46 +0300

qtwebengine-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Replace mipsel-linux-5.patch with new mipsel-syscall-ranges.patch to
    fix mips* build with new kernel (closes: #995187). Thanks YunQiang Su!
  * Update debian/libqt5webenginecore5.symbols for armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Sep 2021 20:12:07 +0300

qtwebengine-opensource-src (5.15.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Update debian/libqt5webenginecore5.symbols from the current build log.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Sep 2021 14:10:57 +0300

qtwebengine-opensource-src (5.15.5+dfsg-2) unstable; urgency=medium

  * Add a patch to fix build with glibc ≥ 2.34 where SIGSTKSZ is no longer
    a compile time constant.
  * Backport Chromium patch to make Linux sandbox return ENOSYS for clone3
    syscall (LP: #1939993).
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Aug 2021 12:15:30 +0300

qtwebengine-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Includes a fix for building with GCC 11 (closes: #984315).
  * Update get-orig-source target for the new release.
  * Drop two patches that are included in the new release:
    - fix-locales-normalization.patch
    - CVE-2021-21193.patch
  * Bump ABI version to qtwebengine-abi-5-15-5.
  * Remove polymer_bundled.min.js from Files-Excluded (LP: #1926089).
    - There is non-minified polymer_bundled.js in the source.
  * Forward DEB_BUILD_OPTIONS=parallel=N setting to ninja (closes: #986684).
  * Make sure $NINJAJOBS is also used when bootstrapping gn.
  * Add libxkbfile-dev build-dependency (required since 5.15.5).
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Jun 2021 11:58:16 +0300

qtwebengine-opensource-src (5.15.3+dfsg-5) experimental; urgency=medium

  * Add support for mips64el architecture:
    - Make mipsel-no-dav1d.patch apply to mips64el too.
    - Add a patch from Ma Aiguo to make crashpad build on mips64el.
    - Backport upstream patch to fix bad define in linux_syscall_support.h.
    - Add mips64el to supported architectures in debian/control.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Apr 2021 13:47:37 +0300

qtwebengine-opensource-src (5.15.3+dfsg-4) experimental; urgency=medium

  * Disable jumbo builds to reduce memory consumption.
  * Add a patch to further reduce memory consumption on mipsel.
  * Remove non-working and/or obsolete code from debian/rules.
  * For Ubuntu, build with -j2 on amd64 like on arm64.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 01 Apr 2021 16:02:12 +0300

qtwebengine-opensource-src (5.15.3+dfsg-3) experimental; urgency=medium

  * Add a patch to make breakpad use system getcontext instead of its own,
    to fix build on mipsel.
  * Make Chromium sandbox code compatible with glibc 2.33:
    - Extend sandbox-time64-syscalls.patch to handle statx and time64
      (patch by Fabian Vogt from openSUSE).
    - Add new patch sandbox-fstatat-syscalls.patch to handle newfstatat
      and fstatat64 syscalls (by Kevin Kofler from Fedora).
  * Update symbols files from buildds’ and the current build logs.
  * Use $NINJAJOBS instead of $NINJAFLAGS for passing the -j flag.
  * Clean up unused variables in debian/rules.
  * Actually add CVE-2021-21193.patch to debian/patches/series.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Mar 2021 21:29:23 +0300

qtwebengine-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  * Fix the command to change CMake dependencies versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Mar 2021 12:20:42 +0300

qtwebengine-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add get-orig-source target (as upstream no longer publishes tarballs).
  * Update Files-Excluded and touch_files for the new release.
  * Refresh and rebase patches for the new release.
  * Add new overrides/ignores to debian/scripts/update-copyright.
  * Update debian/copyright using the script and manually.
  * Bump ABI version to qtwebengine-abi-5-15-3.
  * Build-depend on nodejs, required by Chromium 87.
  * Stop using closure-compiler, Debian has an ancient version that doesn't
    support template literals.
  * Remove yasm build-dependency, Chromium no longer uses it.
    - Also remove run-unbundling-script.patch which was used to unbundle it.
  * Remove a non-DFSG benchmark file (jsmin.py) from build inputs.
  * Copy system d3.min.js and pako.min.js to replace the excluded files.
  * Stop excluding jszip.min.js, add its source code to missing-sources.
  * Add a patch to use python2 instead of unversioned python.
  * Build-depend on node-yargs, required by generate_html_entrypoint.js.
  * Do not exclude some parts of node_modules that are used during build.
  * Build-depend on rollup and node-rollup-plugins-terser.
  * Run syncqt.pl before build, to get the header files generated.
  * Backport upstream patch to fix normalization of app locales.
  * Update mocha in missing-sources to the actually used version.
  * Update symbols files from the current build log.
  * Fix/override some new Lintian source-is-missing errors.
  * Do not require matching versions of Qt dependencies in CMake files.
  * Do not hardcode x86_64-linux-gnu in lintian-overrides.
  * Backport fix for CVE-2021-21193 from upstream Chromium.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Mar 2021 21:45:48 +0300

qtwebengine-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:35 +0300

qtwebengine-opensource-src (5.15.2+dfsg-2) experimental; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 20:27:35 +0300

qtwebengine-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.15.2.
  * Bump ABI version to qtwebengine-abi-5-15-2.
  * Drop patches that are included in the new release:
    - webrtc-crash.patch
    - compile-pdf-examples.patch
  * Refresh and rebase other patches.
  * Stop adding -Wl,--as-needed to LDFLAGS, it is default in Bullseye.
  * Update Files-Excluded and touch_files for upstream path changes.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Add more license variations to debian/scripts/update-copyright.
  * Update debian/copyright using the script and manually.
  * Update symbols files from the current build log.

  [ Alexander Volkov ]
  * Build-depend on libxcb-dri3-dev, which is required by chromium.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 20:23:28 +0300

qtwebengine-opensource-src (5.15.1+dfsg-5) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:24 +0300

qtwebengine-opensource-src (5.15.1+dfsg-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream fix for nullptr dereference in RTCPeerConnectionHandler
    (see QTBUG-86752).
  * Update symbols files from buildds’ logs.

  [ Alexander Volkov ]
  * Add a patch to compile pdf examples.
  * Also add a build dependency on libqt5svg5-dev that they require.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Oct 2020 20:04:40 +0300

qtwebengine-opensource-src (5.15.1+dfsg-3) experimental; urgency=medium

  * Add a patch to reduce code range size on mipsel from 2048 to 1024 MB.
    - Remove old mipsel-no-v8-embedded-builtins.patch, no longer needed.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Sep 2020 14:51:31 +0300

qtwebengine-opensource-src (5.15.1+dfsg-2) experimental; urgency=medium

  * Build with system opus/ffmpeg again.
    - Bump opus required version to 1.3.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Sep 2020 20:53:33 +0300

qtwebengine-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Drop patches, included in the new release:
    - icu-67.patch
    - openh264-picasm.patch
    - gcc-10.patch
  * Also drop bison-3.7.patch, fixed differently upstream.
  * Rebase other patches.
  * Comment out mipsel-no-v8-embedded-builtins.patch. V8 no longer supports
    build without embedded builtins, so we need to find another way to fix
    the OOM error.
  * Update to debhelper compat level 13.
    - Build-depend on debhelper-compat (= 13), remove debian/compat file.
    - Remove override_dh_install-arch target, no longer needed.
    - Adapt to debhelper exporting its own $HOME for tests.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update Files-Excluded and touch_files for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-1.
  * Add new packages for the Qt PDF libraries, QML module, examples,
    documentation and development files.
  * Update symbols files from the current build log.
  * Temporarily build without system opus/ffmpeg until opus is updated to
    version 1.3.1 (see #934809).
  * Update debian/source/lintian-overrides for path changes.
  * Add a script to update debian/copyright file based on upstream
    qt_attribution.json and README.chromium files.
  * Update debian/copyright manually and using the new script.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Sep 2020 21:16:21 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-5) unstable; urgency=medium

  * Add a patch to fix seccomp-bpf failure in clock_gettime64 and
    clock_nanosleep_time64 syscalls on 32-bit platforms (closes: #967011).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Sep 2020 16:25:33 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-4) unstable; urgency=medium

  * Add a patch to fix build errors with GCC 10 (closes: #957734).
  * Add a patch to fix header file name with Bison 3.7.
  * Update debian/libqt5webenginecore5.symbols for GCC 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jul 2020 22:15:39 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-3) unstable; urgency=medium

  * Add a patch to build openh264 with -DX86_32_PICASM on i386, to fix errors
    from new linker (closes: #965328).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jul 2020 18:08:34 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch to fix V8 build with ICU 67.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2020 18:49:13 -0300

qtwebengine-opensource-src (5.14.2+dfsg1-1) unstable; urgency=medium

  * Re-add polymer/v1_0 to the tarball, to unbreak PDF viewer.
  * Build with system ICU again.
  * Remove some disappeared symbols.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:17:22 +0300

qtwebengine-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Drop system-ninja.patch, similar fix was applied upstream.
  * Update debian/libqt5webenginecore5.symbols from the current build log.
  * Bump ABI version to qtwebengine-abi-5-14-2.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 May 2020 20:41:23 +0300

qtwebengine-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  * Disable v8 embedded builtins on mipsel, to fix OOM error.
  * Add -latomic to dependencies of base component on mipsel.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 11:08:47 +0300

qtwebengine-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Include asm/ptrace.h instead of asm/ptrace-abi.h on mipsel.
  * Disable dav1d support on mipsel.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Mar 2020 23:24:35 +0300

qtwebengine-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove/update some obsolete paths from Files-Excluded.
    - Also update touch_files in debian/rules in a similar way.
  * Drop patches:
    - CVE-2019-5870.patch (applied upstream)
    - CVE-2019-13720.patch (applied upstream)
    - icu-65.patch (applied upstream)
    - pulseaudio-13.patch (applied upstream)
    - restore-jstemplate.patch (no longer needed)
  * Also drop no-icudtl-dat.patch. Starting with commit 395e61ff2e51dc7c
    Qt WebEngine uses the common resources location for icudtl.dat file.
    That location should exist, and the warnings should be no longer printed,
    so no need to silence them.
  * Rebase and refresh other patches.
  * Bump Qt build-dependencies to 5.14.1.
  * Do not treat ninja 1.10 as too old.
  * Temporarily build with bundled ICU. Upstream now requires ICU 64, but
    libqt5core5a is built against ICU 63.
    - Install icudtl.dat in libqt5webenginecore5.
  * Pass QMAKE_PYTHON2=python2 to qmake.
  * Update symbols files from the current build log.
  * Bump ABI version to qtwebengine-abi-5-14-1.
  * Exclude more non-free files.
    - Exclude the whole devtools-node-modules directory, it does not seem to
      be used.
  * Update Lintian overrides files.
  * Remove no longer existing paths from debian/copyright.
  * Remove debian/missing-sources/marked-v0.3.6.tar.gz. Upstream now contains
    non-minified version (see QTBUG-69273).
  * Fix license-file-listed-in-debian-copyright Lintian warnings.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Mar 2020 11:02:55 +0300

qtwebengine-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Limit Ubuntu arm64 builds to -j2.
  * Update debian/libqt5webenginecore5.symbols (closes: #951905).

  [ Gianfranco Costamagna ]
  * Depend on python2 instead of python, also tweak the patch to change the
    calls to python binary.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Feb 2020 18:10:27 +0300

qtwebengine-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  * Remove one i386 symbol that is not present in build with system libvpx.
  * Make libgl-dev build-dependency versioned, the virtual package provided
    by older mesa is no longer enough and causes build failure on mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 18:52:30 +0300

qtwebengine-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  * Build-depend on libx11-xcb-dev and libxdamage-dev, to fix build with
    the latest mesa and libglvnd.
  * Build with system libvpx again.
  * Stop build-depending on transitional packages from mesa.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Dec 2019 22:23:56 +0300

qtwebengine-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  [ Alexander Volkov ]
  * Do not build the documentation packages when nodoc profile is enabled.

  [ Dmitry Shachnev ]
  * Backport upstream patches to fix CVE-2019-13720 and CVE-2019-5870.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Use ui/webui/resources/js/jstemplate_compiled.js provided by upstream
    instead of the empty file (closes: #882805).
  * Backport upstream patch to fix build with ICU 65.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Dec 2019 12:42:13 +0300

qtwebengine-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 18:12:06 +0300

qtwebengine-opensource-src (5.12.5+dfsg-2) experimental; urgency=medium

  * Add a patch to fix mipsel build with Linux ≥ 5.0.
  * Update libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Oct 2019 14:31:27 +0300

qtwebengine-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Backport upstream patch to fix build with Pulseaudio 13.
  * Update symbols files from the current build log.
  * Bump ABI version to qtwebengine-abi-5-12-5.
  * Override Lintian warnings about symbols dependencies on -abi- packages.
  * Do not hardcode minor version number in the Lintian overrides file.
  * Bump Standards-Version to 4.4.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Sep 2019 18:44:14 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libqt5webenginecore5`.
